# Generated from crv_api_client-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crv_api_client

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: A Wrapper for the CRV soap API
License: MIT
URL: https://nedap.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0.0
# BuildRequires: rubygem(rspec) < 3.1
# BuildRequires: rubygem(guard) >= 2.6.1
# BuildRequires: rubygem(guard) < 2.7
# BuildRequires: rubygem(guard-rspec) >= 4.2.10
# BuildRequires: rubygem(guard-rspec) < 4.3
# BuildRequires: rubygem(webmock) >= 1.18.0
# BuildRequires: rubygem(webmock) < 1.19
# BuildRequires: rubygem(vcr) >= 2.9.2
# BuildRequires: rubygem(vcr) < 2.10
BuildArch: noarch

%description
CRV API client.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/crv_api_client.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.4-1
- Initial package
